IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/40
Addresses2^88
/64 networks16,777,216
- Network
3c19:c25e:f700::/40- First address
3c19:c25e:f700::- Last address
3c19:c25e:f7ff:ffff:ffff:ffff:ffff:ffff- Addresses
- 309,485,009,821,345,068,724,781,056 (2^88)
- /64 networks (LANs)
- 16,777,216
- Full form
3c19:c25e:f700:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
7.f.e.5.2.c.9.1.c.3.ip6.arpa
Split into smaller subnets
3c19:c25e:f700::/40 makes 4,096 subnets of /52; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 3c19:c25e:f700::/52 | 3c19:c25e:f700:fff:ffff:ffff:ffff:ffff |
| 2 | 3c19:c25e:f700:1000::/52 | 3c19:c25e:f700:1fff:ffff:ffff:ffff:ffff |
| 3 | 3c19:c25e:f700:2000::/52 | 3c19:c25e:f700:2fff:ffff:ffff:ffff:ffff |
| 4 | 3c19:c25e:f700:3000::/52 | 3c19:c25e:f700:3fff:ffff:ffff:ffff:ffff |
| 5 | 3c19:c25e:f700:4000::/52 | 3c19:c25e:f700:4fff:ffff:ffff:ffff:ffff |
| 6 | 3c19:c25e:f700:5000::/52 | 3c19:c25e:f700:5fff:ffff:ffff:ffff:ffff |
| 7 | 3c19:c25e:f700:6000::/52 | 3c19:c25e:f700:6fff:ffff:ffff:ffff:ffff |
| 8 | 3c19:c25e:f700:7000::/52 | 3c19:c25e:f700:7fff:ffff:ffff:ffff:ffff |
| 9 | 3c19:c25e:f700:8000::/52 | 3c19:c25e:f700:8fff:ffff:ffff:ffff:ffff |
| 10 | 3c19:c25e:f700:9000::/52 | 3c19:c25e:f700:9fff:ffff:ffff:ffff:ffff |
| 11 | 3c19:c25e:f700:a000::/52 | 3c19:c25e:f700:afff:ffff:ffff:ffff:ffff |
| 12 | 3c19:c25e:f700:b000::/52 | 3c19:c25e:f700:bfff:ffff:ffff:ffff:ffff |
| 13 | 3c19:c25e:f700:c000::/52 | 3c19:c25e:f700:cfff:ffff:ffff:ffff:ffff |
| 14 | 3c19:c25e:f700:d000::/52 | 3c19:c25e:f700:dfff:ffff:ffff:ffff:ffff |
| 15 | 3c19:c25e:f700:e000::/52 | 3c19:c25e:f700:efff:ffff:ffff:ffff:ffff |
| 16 | 3c19:c25e:f700:f000::/52 | 3c19:c25e:f700:ffff:ffff:ffff:ffff:ffff |
| 17 | 3c19:c25e:f701::/52 | 3c19:c25e:f701:fff:ffff:ffff:ffff:ffff |
| 18 | 3c19:c25e:f701:1000::/52 | 3c19:c25e:f701:1fff:ffff:ffff:ffff:ffff |
| 19 | 3c19:c25e:f701:2000::/52 | 3c19:c25e:f701:2fff:ffff:ffff:ffff:ffff |
| 20 | 3c19:c25e:f701:3000::/52 | 3c19:c25e:f701:3fff:ffff:ffff:ffff:ffff |
| 21 | 3c19:c25e:f701:4000::/52 | 3c19:c25e:f701:4fff:ffff:ffff:ffff:ffff |
| 22 | 3c19:c25e:f701:5000::/52 | 3c19:c25e:f701:5fff:ffff:ffff:ffff:ffff |
| 23 | 3c19:c25e:f701:6000::/52 | 3c19:c25e:f701:6fff:ffff:ffff:ffff:ffff |
| 24 | 3c19:c25e:f701:7000::/52 | 3c19:c25e:f701:7fff:ffff:ffff:ffff:ffff |
| 25 | 3c19:c25e:f701:8000::/52 | 3c19:c25e:f701:8fff:ffff:ffff:ffff:ffff |
| 26 | 3c19:c25e:f701:9000::/52 | 3c19:c25e:f701:9fff:ffff:ffff:ffff:ffff |
| 27 | 3c19:c25e:f701:a000::/52 | 3c19:c25e:f701:afff:ffff:ffff:ffff:ffff |
| 28 | 3c19:c25e:f701:b000::/52 | 3c19:c25e:f701:bfff:ffff:ffff:ffff:ffff |
| 29 | 3c19:c25e:f701:c000::/52 | 3c19:c25e:f701:cfff:ffff:ffff:ffff:ffff |
| 30 | 3c19:c25e:f701:d000::/52 | 3c19:c25e:f701:dfff:ffff:ffff:ffff:ffff |
| 31 | 3c19:c25e:f701:e000::/52 | 3c19:c25e:f701:efff:ffff:ffff:ffff:ffff |
| 32 | 3c19:c25e:f701:f000::/52 | 3c19:c25e:f701:ffff:ffff:ffff:ffff:ffff |
| 33 | 3c19:c25e:f702::/52 | 3c19:c25e:f702:fff:ffff:ffff:ffff:ffff |
| 34 | 3c19:c25e:f702:1000::/52 | 3c19:c25e:f702:1fff:ffff:ffff:ffff:ffff |
| 35 | 3c19:c25e:f702:2000::/52 | 3c19:c25e:f702:2fff:ffff:ffff:ffff:ffff |
| 36 | 3c19:c25e:f702:3000::/52 | 3c19:c25e:f702:3fff:ffff:ffff:ffff:ffff |
| 37 | 3c19:c25e:f702:4000::/52 | 3c19:c25e:f702:4fff:ffff:ffff:ffff:ffff |
| 38 | 3c19:c25e:f702:5000::/52 | 3c19:c25e:f702:5fff:ffff:ffff:ffff:ffff |
| 39 | 3c19:c25e:f702:6000::/52 | 3c19:c25e:f702:6fff:ffff:ffff:ffff:ffff |
| 40 | 3c19:c25e:f702:7000::/52 | 3c19:c25e:f702:7fff:ffff:ffff:ffff:ffff |
| 41 | 3c19:c25e:f702:8000::/52 | 3c19:c25e:f702:8fff:ffff:ffff:ffff:ffff |
| 42 | 3c19:c25e:f702:9000::/52 | 3c19:c25e:f702:9fff:ffff:ffff:ffff:ffff |
| 43 | 3c19:c25e:f702:a000::/52 | 3c19:c25e:f702:afff:ffff:ffff:ffff:ffff |
| 44 | 3c19:c25e:f702:b000::/52 | 3c19:c25e:f702:bfff:ffff:ffff:ffff:ffff |
| 45 | 3c19:c25e:f702:c000::/52 | 3c19:c25e:f702:cfff:ffff:ffff:ffff:ffff |
| 46 | 3c19:c25e:f702:d000::/52 | 3c19:c25e:f702:dfff:ffff:ffff:ffff:ffff |
| 47 | 3c19:c25e:f702:e000::/52 | 3c19:c25e:f702:efff:ffff:ffff:ffff:ffff |
| 48 | 3c19:c25e:f702:f000::/52 | 3c19:c25e:f702:ffff:ffff:ffff:ffff:ffff |
| 49 | 3c19:c25e:f703::/52 | 3c19:c25e:f703:fff:ffff:ffff:ffff:ffff |
| 50 | 3c19:c25e:f703:1000::/52 | 3c19:c25e:f703:1fff:ffff:ffff:ffff:ffff |
| 51 | 3c19:c25e:f703:2000::/52 | 3c19:c25e:f703:2fff:ffff:ffff:ffff:ffff |
| 52 | 3c19:c25e:f703:3000::/52 | 3c19:c25e:f703:3fff:ffff:ffff:ffff:ffff |
| 53 | 3c19:c25e:f703:4000::/52 | 3c19:c25e:f703:4fff:ffff:ffff:ffff:ffff |
| 54 | 3c19:c25e:f703:5000::/52 | 3c19:c25e:f703:5fff:ffff:ffff:ffff:ffff |
| 55 | 3c19:c25e:f703:6000::/52 | 3c19:c25e:f703:6fff:ffff:ffff:ffff:ffff |
| 56 | 3c19:c25e:f703:7000::/52 | 3c19:c25e:f703:7fff:ffff:ffff:ffff:ffff |
| 57 | 3c19:c25e:f703:8000::/52 | 3c19:c25e:f703:8fff:ffff:ffff:ffff:ffff |
| 58 | 3c19:c25e:f703:9000::/52 | 3c19:c25e:f703:9fff:ffff:ffff:ffff:ffff |
| 59 | 3c19:c25e:f703:a000::/52 | 3c19:c25e:f703:afff:ffff:ffff:ffff:ffff |
| 60 | 3c19:c25e:f703:b000::/52 | 3c19:c25e:f703:bfff:ffff:ffff:ffff:ffff |
| 61 | 3c19:c25e:f703:c000::/52 | 3c19:c25e:f703:cfff:ffff:ffff:ffff:ffff |
| 62 | 3c19:c25e:f703:d000::/52 | 3c19:c25e:f703:dfff:ffff:ffff:ffff:ffff |
| 63 | 3c19:c25e:f703:e000::/52 | 3c19:c25e:f703:efff:ffff:ffff:ffff:ffff |
| 64 | 3c19:c25e:f703:f000::/52 | 3c19:c25e:f703:ffff:ffff:ffff:ffff:ffff |
| 65 | 3c19:c25e:f704::/52 | 3c19:c25e:f704:fff:ffff:ffff:ffff:ffff |
| 66 | 3c19:c25e:f704:1000::/52 | 3c19:c25e:f704:1fff:ffff:ffff:ffff:ffff |
| 67 | 3c19:c25e:f704:2000::/52 | 3c19:c25e:f704:2fff:ffff:ffff:ffff:ffff |
| 68 | 3c19:c25e:f704:3000::/52 | 3c19:c25e:f704:3fff:ffff:ffff:ffff:ffff |
| 69 | 3c19:c25e:f704:4000::/52 | 3c19:c25e:f704:4fff:ffff:ffff:ffff:ffff |
| 70 | 3c19:c25e:f704:5000::/52 | 3c19:c25e:f704:5fff:ffff:ffff:ffff:ffff |
| 71 | 3c19:c25e:f704:6000::/52 | 3c19:c25e:f704:6fff:ffff:ffff:ffff:ffff |
| 72 | 3c19:c25e:f704:7000::/52 | 3c19:c25e:f704:7fff:ffff:ffff:ffff:ffff |
| 73 | 3c19:c25e:f704:8000::/52 | 3c19:c25e:f704:8fff:ffff:ffff:ffff:ffff |
| 74 | 3c19:c25e:f704:9000::/52 | 3c19:c25e:f704:9fff:ffff:ffff:ffff:ffff |
| 75 | 3c19:c25e:f704:a000::/52 | 3c19:c25e:f704:afff:ffff:ffff:ffff:ffff |
| 76 | 3c19:c25e:f704:b000::/52 | 3c19:c25e:f704:bfff:ffff:ffff:ffff:ffff |
| 77 | 3c19:c25e:f704:c000::/52 | 3c19:c25e:f704:cfff:ffff:ffff:ffff:ffff |
| 78 | 3c19:c25e:f704:d000::/52 | 3c19:c25e:f704:dfff:ffff:ffff:ffff:ffff |
| 79 | 3c19:c25e:f704:e000::/52 | 3c19:c25e:f704:efff:ffff:ffff:ffff:ffff |
| 80 | 3c19:c25e:f704:f000::/52 | 3c19:c25e:f704:ffff:ffff:ffff:ffff:ffff |
| 81 | 3c19:c25e:f705::/52 | 3c19:c25e:f705:fff:ffff:ffff:ffff:ffff |
| 82 | 3c19:c25e:f705:1000::/52 | 3c19:c25e:f705:1fff:ffff:ffff:ffff:ffff |
| 83 | 3c19:c25e:f705:2000::/52 | 3c19:c25e:f705:2fff:ffff:ffff:ffff:ffff |
| 84 | 3c19:c25e:f705:3000::/52 | 3c19:c25e:f705:3fff:ffff:ffff:ffff:ffff |
| 85 | 3c19:c25e:f705:4000::/52 | 3c19:c25e:f705:4fff:ffff:ffff:ffff:ffff |
| 86 | 3c19:c25e:f705:5000::/52 | 3c19:c25e:f705:5fff:ffff:ffff:ffff:ffff |
| 87 | 3c19:c25e:f705:6000::/52 | 3c19:c25e:f705:6fff:ffff:ffff:ffff:ffff |
| 88 | 3c19:c25e:f705:7000::/52 | 3c19:c25e:f705:7fff:ffff:ffff:ffff:ffff |
| 89 | 3c19:c25e:f705:8000::/52 | 3c19:c25e:f705:8fff:ffff:ffff:ffff:ffff |
| 90 | 3c19:c25e:f705:9000::/52 | 3c19:c25e:f705:9fff:ffff:ffff:ffff:ffff |
| 91 | 3c19:c25e:f705:a000::/52 | 3c19:c25e:f705:afff:ffff:ffff:ffff:ffff |
| 92 | 3c19:c25e:f705:b000::/52 | 3c19:c25e:f705:bfff:ffff:ffff:ffff:ffff |
| 93 | 3c19:c25e:f705:c000::/52 | 3c19:c25e:f705:cfff:ffff:ffff:ffff:ffff |
| 94 | 3c19:c25e:f705:d000::/52 | 3c19:c25e:f705:dfff:ffff:ffff:ffff:ffff |
| 95 | 3c19:c25e:f705:e000::/52 | 3c19:c25e:f705:efff:ffff:ffff:ffff:ffff |
| 96 | 3c19:c25e:f705:f000::/52 | 3c19:c25e:f705:ffff:ffff:ffff:ffff:ffff |
| 97 | 3c19:c25e:f706::/52 | 3c19:c25e:f706:fff:ffff:ffff:ffff:ffff |
| 98 | 3c19:c25e:f706:1000::/52 | 3c19:c25e:f706:1fff:ffff:ffff:ffff:ffff |
| 99 | 3c19:c25e:f706:2000::/52 | 3c19:c25e:f706:2fff:ffff:ffff:ffff:ffff |
| 100 | 3c19:c25e:f706:3000::/52 | 3c19:c25e:f706:3fff:ffff:ffff:ffff:ffff |
| 101 | 3c19:c25e:f706:4000::/52 | 3c19:c25e:f706:4fff:ffff:ffff:ffff:ffff |
| 102 | 3c19:c25e:f706:5000::/52 | 3c19:c25e:f706:5fff:ffff:ffff:ffff:ffff |
| 103 | 3c19:c25e:f706:6000::/52 | 3c19:c25e:f706:6fff:ffff:ffff:ffff:ffff |
| 104 | 3c19:c25e:f706:7000::/52 | 3c19:c25e:f706:7fff:ffff:ffff:ffff:ffff |
| 105 | 3c19:c25e:f706:8000::/52 | 3c19:c25e:f706:8fff:ffff:ffff:ffff:ffff |
| 106 | 3c19:c25e:f706:9000::/52 | 3c19:c25e:f706:9fff:ffff:ffff:ffff:ffff |
| 107 | 3c19:c25e:f706:a000::/52 | 3c19:c25e:f706:afff:ffff:ffff:ffff:ffff |
| 108 | 3c19:c25e:f706:b000::/52 | 3c19:c25e:f706:bfff:ffff:ffff:ffff:ffff |
| 109 | 3c19:c25e:f706:c000::/52 | 3c19:c25e:f706:cfff:ffff:ffff:ffff:ffff |
| 110 | 3c19:c25e:f706:d000::/52 | 3c19:c25e:f706:dfff:ffff:ffff:ffff:ffff |
| 111 | 3c19:c25e:f706:e000::/52 | 3c19:c25e:f706:efff:ffff:ffff:ffff:ffff |
| 112 | 3c19:c25e:f706:f000::/52 | 3c19:c25e:f706:ffff:ffff:ffff:ffff:ffff |
| 113 | 3c19:c25e:f707::/52 | 3c19:c25e:f707:fff:ffff:ffff:ffff:ffff |
| 114 | 3c19:c25e:f707:1000::/52 | 3c19:c25e:f707:1fff:ffff:ffff:ffff:ffff |
| 115 | 3c19:c25e:f707:2000::/52 | 3c19:c25e:f707:2fff:ffff:ffff:ffff:ffff |
| 116 | 3c19:c25e:f707:3000::/52 | 3c19:c25e:f707:3fff:ffff:ffff:ffff:ffff |
| 117 | 3c19:c25e:f707:4000::/52 | 3c19:c25e:f707:4fff:ffff:ffff:ffff:ffff |
| 118 | 3c19:c25e:f707:5000::/52 | 3c19:c25e:f707:5fff:ffff:ffff:ffff:ffff |
| 119 | 3c19:c25e:f707:6000::/52 | 3c19:c25e:f707:6fff:ffff:ffff:ffff:ffff |
| 120 | 3c19:c25e:f707:7000::/52 | 3c19:c25e:f707:7fff:ffff:ffff:ffff:ffff |
| 121 | 3c19:c25e:f707:8000::/52 | 3c19:c25e:f707:8fff:ffff:ffff:ffff:ffff |
| 122 | 3c19:c25e:f707:9000::/52 | 3c19:c25e:f707:9fff:ffff:ffff:ffff:ffff |
| 123 | 3c19:c25e:f707:a000::/52 | 3c19:c25e:f707:afff:ffff:ffff:ffff:ffff |
| 124 | 3c19:c25e:f707:b000::/52 | 3c19:c25e:f707:bfff:ffff:ffff:ffff:ffff |
| 125 | 3c19:c25e:f707:c000::/52 | 3c19:c25e:f707:cfff:ffff:ffff:ffff:ffff |
| 126 | 3c19:c25e:f707:d000::/52 | 3c19:c25e:f707:dfff:ffff:ffff:ffff:ffff |
| 127 | 3c19:c25e:f707:e000::/52 | 3c19:c25e:f707:efff:ffff:ffff:ffff:ffff |
| 128 | 3c19:c25e:f707:f000::/52 | 3c19:c25e:f707:ffff:ffff:ffff:ffff:ffff |
| 129 | 3c19:c25e:f708::/52 | 3c19:c25e:f708:fff:ffff:ffff:ffff:ffff |
| 130 | 3c19:c25e:f708:1000::/52 | 3c19:c25e:f708:1fff:ffff:ffff:ffff:ffff |
| 131 | 3c19:c25e:f708:2000::/52 | 3c19:c25e:f708:2fff:ffff:ffff:ffff:ffff |
| 132 | 3c19:c25e:f708:3000::/52 | 3c19:c25e:f708:3fff:ffff:ffff:ffff:ffff |
| 133 | 3c19:c25e:f708:4000::/52 | 3c19:c25e:f708:4fff:ffff:ffff:ffff:ffff |
| 134 | 3c19:c25e:f708:5000::/52 | 3c19:c25e:f708:5fff:ffff:ffff:ffff:ffff |
| 135 | 3c19:c25e:f708:6000::/52 | 3c19:c25e:f708:6fff:ffff:ffff:ffff:ffff |
| 136 | 3c19:c25e:f708:7000::/52 | 3c19:c25e:f708:7fff:ffff:ffff:ffff:ffff |
| 137 | 3c19:c25e:f708:8000::/52 | 3c19:c25e:f708:8fff:ffff:ffff:ffff:ffff |
| 138 | 3c19:c25e:f708:9000::/52 | 3c19:c25e:f708:9fff:ffff:ffff:ffff:ffff |
| 139 | 3c19:c25e:f708:a000::/52 | 3c19:c25e:f708:afff:ffff:ffff:ffff:ffff |
| 140 | 3c19:c25e:f708:b000::/52 | 3c19:c25e:f708:bfff:ffff:ffff:ffff:ffff |
| 141 | 3c19:c25e:f708:c000::/52 | 3c19:c25e:f708:cfff:ffff:ffff:ffff:ffff |
| 142 | 3c19:c25e:f708:d000::/52 | 3c19:c25e:f708:dfff:ffff:ffff:ffff:ffff |
| 143 | 3c19:c25e:f708:e000::/52 | 3c19:c25e:f708:efff:ffff:ffff:ffff:ffff |
| 144 | 3c19:c25e:f708:f000::/52 | 3c19:c25e:f708:ffff:ffff:ffff:ffff:ffff |
| 145 | 3c19:c25e:f709::/52 | 3c19:c25e:f709:fff:ffff:ffff:ffff:ffff |
| 146 | 3c19:c25e:f709:1000::/52 | 3c19:c25e:f709:1fff:ffff:ffff:ffff:ffff |
| 147 | 3c19:c25e:f709:2000::/52 | 3c19:c25e:f709:2fff:ffff:ffff:ffff:ffff |
| 148 | 3c19:c25e:f709:3000::/52 | 3c19:c25e:f709:3fff:ffff:ffff:ffff:ffff |
| 149 | 3c19:c25e:f709:4000::/52 | 3c19:c25e:f709:4fff:ffff:ffff:ffff:ffff |
| 150 | 3c19:c25e:f709:5000::/52 | 3c19:c25e:f709:5fff:ffff:ffff:ffff:ffff |
| 151 | 3c19:c25e:f709:6000::/52 | 3c19:c25e:f709:6fff:ffff:ffff:ffff:ffff |
| 152 | 3c19:c25e:f709:7000::/52 | 3c19:c25e:f709:7fff:ffff:ffff:ffff:ffff |
| 153 | 3c19:c25e:f709:8000::/52 | 3c19:c25e:f709:8fff:ffff:ffff:ffff:ffff |
| 154 | 3c19:c25e:f709:9000::/52 | 3c19:c25e:f709:9fff:ffff:ffff:ffff:ffff |
| 155 | 3c19:c25e:f709:a000::/52 | 3c19:c25e:f709:afff:ffff:ffff:ffff:ffff |
| 156 | 3c19:c25e:f709:b000::/52 | 3c19:c25e:f709:bfff:ffff:ffff:ffff:ffff |
| 157 | 3c19:c25e:f709:c000::/52 | 3c19:c25e:f709:cfff:ffff:ffff:ffff:ffff |
| 158 | 3c19:c25e:f709:d000::/52 | 3c19:c25e:f709:dfff:ffff:ffff:ffff:ffff |
| 159 | 3c19:c25e:f709:e000::/52 | 3c19:c25e:f709:efff:ffff:ffff:ffff:ffff |
| 160 | 3c19:c25e:f709:f000::/52 | 3c19:c25e:f709:ffff:ffff:ffff:ffff:ffff |
| 161 | 3c19:c25e:f70a::/52 | 3c19:c25e:f70a:fff:ffff:ffff:ffff:ffff |
| 162 | 3c19:c25e:f70a:1000::/52 | 3c19:c25e:f70a:1fff:ffff:ffff:ffff:ffff |
| 163 | 3c19:c25e:f70a:2000::/52 | 3c19:c25e:f70a:2fff:ffff:ffff:ffff:ffff |
| 164 | 3c19:c25e:f70a:3000::/52 | 3c19:c25e:f70a:3fff:ffff:ffff:ffff:ffff |
| 165 | 3c19:c25e:f70a:4000::/52 | 3c19:c25e:f70a:4fff:ffff:ffff:ffff:ffff |
| 166 | 3c19:c25e:f70a:5000::/52 | 3c19:c25e:f70a:5fff:ffff:ffff:ffff:ffff |
| 167 | 3c19:c25e:f70a:6000::/52 | 3c19:c25e:f70a:6fff:ffff:ffff:ffff:ffff |
| 168 | 3c19:c25e:f70a:7000::/52 | 3c19:c25e:f70a:7fff:ffff:ffff:ffff:ffff |
| 169 | 3c19:c25e:f70a:8000::/52 | 3c19:c25e:f70a:8fff:ffff:ffff:ffff:ffff |
| 170 | 3c19:c25e:f70a:9000::/52 | 3c19:c25e:f70a:9fff:ffff:ffff:ffff:ffff |
| 171 | 3c19:c25e:f70a:a000::/52 | 3c19:c25e:f70a:afff:ffff:ffff:ffff:ffff |
| 172 | 3c19:c25e:f70a:b000::/52 | 3c19:c25e:f70a:bfff:ffff:ffff:ffff:ffff |
| 173 | 3c19:c25e:f70a:c000::/52 | 3c19:c25e:f70a:cfff:ffff:ffff:ffff:ffff |
| 174 | 3c19:c25e:f70a:d000::/52 | 3c19:c25e:f70a:dfff:ffff:ffff:ffff:ffff |
| 175 | 3c19:c25e:f70a:e000::/52 | 3c19:c25e:f70a:efff:ffff:ffff:ffff:ffff |
| 176 | 3c19:c25e:f70a:f000::/52 | 3c19:c25e:f70a:ffff:ffff:ffff:ffff:ffff |
| 177 | 3c19:c25e:f70b::/52 | 3c19:c25e:f70b:fff:ffff:ffff:ffff:ffff |
| 178 | 3c19:c25e:f70b:1000::/52 | 3c19:c25e:f70b:1fff:ffff:ffff:ffff:ffff |
| 179 | 3c19:c25e:f70b:2000::/52 | 3c19:c25e:f70b:2fff:ffff:ffff:ffff:ffff |
| 180 | 3c19:c25e:f70b:3000::/52 | 3c19:c25e:f70b:3fff:ffff:ffff:ffff:ffff |
| 181 | 3c19:c25e:f70b:4000::/52 | 3c19:c25e:f70b:4fff:ffff:ffff:ffff:ffff |
| 182 | 3c19:c25e:f70b:5000::/52 | 3c19:c25e:f70b:5fff:ffff:ffff:ffff:ffff |
| 183 | 3c19:c25e:f70b:6000::/52 | 3c19:c25e:f70b:6fff:ffff:ffff:ffff:ffff |
| 184 | 3c19:c25e:f70b:7000::/52 | 3c19:c25e:f70b:7fff:ffff:ffff:ffff:ffff |
| 185 | 3c19:c25e:f70b:8000::/52 | 3c19:c25e:f70b:8fff:ffff:ffff:ffff:ffff |
| 186 | 3c19:c25e:f70b:9000::/52 | 3c19:c25e:f70b:9fff:ffff:ffff:ffff:ffff |
| 187 | 3c19:c25e:f70b:a000::/52 | 3c19:c25e:f70b:afff:ffff:ffff:ffff:ffff |
| 188 | 3c19:c25e:f70b:b000::/52 | 3c19:c25e:f70b:bfff:ffff:ffff:ffff:ffff |
| 189 | 3c19:c25e:f70b:c000::/52 | 3c19:c25e:f70b:cfff:ffff:ffff:ffff:ffff |
| 190 | 3c19:c25e:f70b:d000::/52 | 3c19:c25e:f70b:dfff:ffff:ffff:ffff:ffff |
| 191 | 3c19:c25e:f70b:e000::/52 | 3c19:c25e:f70b:efff:ffff:ffff:ffff:ffff |
| 192 | 3c19:c25e:f70b:f000::/52 | 3c19:c25e:f70b:ffff:ffff:ffff:ffff:ffff |
| 193 | 3c19:c25e:f70c::/52 | 3c19:c25e:f70c:fff:ffff:ffff:ffff:ffff |
| 194 | 3c19:c25e:f70c:1000::/52 | 3c19:c25e:f70c:1fff:ffff:ffff:ffff:ffff |
| 195 | 3c19:c25e:f70c:2000::/52 | 3c19:c25e:f70c:2fff:ffff:ffff:ffff:ffff |
| 196 | 3c19:c25e:f70c:3000::/52 | 3c19:c25e:f70c:3fff:ffff:ffff:ffff:ffff |
| 197 | 3c19:c25e:f70c:4000::/52 | 3c19:c25e:f70c:4fff:ffff:ffff:ffff:ffff |
| 198 | 3c19:c25e:f70c:5000::/52 | 3c19:c25e:f70c:5fff:ffff:ffff:ffff:ffff |
| 199 | 3c19:c25e:f70c:6000::/52 | 3c19:c25e:f70c:6fff:ffff:ffff:ffff:ffff |
| 200 | 3c19:c25e:f70c:7000::/52 | 3c19:c25e:f70c:7fff:ffff:ffff:ffff:ffff |
| 201 | 3c19:c25e:f70c:8000::/52 | 3c19:c25e:f70c:8fff:ffff:ffff:ffff:ffff |
| 202 | 3c19:c25e:f70c:9000::/52 | 3c19:c25e:f70c:9fff:ffff:ffff:ffff:ffff |
| 203 | 3c19:c25e:f70c:a000::/52 | 3c19:c25e:f70c:afff:ffff:ffff:ffff:ffff |
| 204 | 3c19:c25e:f70c:b000::/52 | 3c19:c25e:f70c:bfff:ffff:ffff:ffff:ffff |
| 205 | 3c19:c25e:f70c:c000::/52 | 3c19:c25e:f70c:cfff:ffff:ffff:ffff:ffff |
| 206 | 3c19:c25e:f70c:d000::/52 | 3c19:c25e:f70c:dfff:ffff:ffff:ffff:ffff |
| 207 | 3c19:c25e:f70c:e000::/52 | 3c19:c25e:f70c:efff:ffff:ffff:ffff:ffff |
| 208 | 3c19:c25e:f70c:f000::/52 | 3c19:c25e:f70c:ffff:ffff:ffff:ffff:ffff |
| 209 | 3c19:c25e:f70d::/52 | 3c19:c25e:f70d:fff:ffff:ffff:ffff:ffff |
| 210 | 3c19:c25e:f70d:1000::/52 | 3c19:c25e:f70d:1fff:ffff:ffff:ffff:ffff |
| 211 | 3c19:c25e:f70d:2000::/52 | 3c19:c25e:f70d:2fff:ffff:ffff:ffff:ffff |
| 212 | 3c19:c25e:f70d:3000::/52 | 3c19:c25e:f70d:3fff:ffff:ffff:ffff:ffff |
| 213 | 3c19:c25e:f70d:4000::/52 | 3c19:c25e:f70d:4fff:ffff:ffff:ffff:ffff |
| 214 | 3c19:c25e:f70d:5000::/52 | 3c19:c25e:f70d:5fff:ffff:ffff:ffff:ffff |
| 215 | 3c19:c25e:f70d:6000::/52 | 3c19:c25e:f70d:6fff:ffff:ffff:ffff:ffff |
| 216 | 3c19:c25e:f70d:7000::/52 | 3c19:c25e:f70d:7fff:ffff:ffff:ffff:ffff |
| 217 | 3c19:c25e:f70d:8000::/52 | 3c19:c25e:f70d:8fff:ffff:ffff:ffff:ffff |
| 218 | 3c19:c25e:f70d:9000::/52 | 3c19:c25e:f70d:9fff:ffff:ffff:ffff:ffff |
| 219 | 3c19:c25e:f70d:a000::/52 | 3c19:c25e:f70d:afff:ffff:ffff:ffff:ffff |
| 220 | 3c19:c25e:f70d:b000::/52 | 3c19:c25e:f70d:bfff:ffff:ffff:ffff:ffff |
| 221 | 3c19:c25e:f70d:c000::/52 | 3c19:c25e:f70d:cfff:ffff:ffff:ffff:ffff |
| 222 | 3c19:c25e:f70d:d000::/52 | 3c19:c25e:f70d:dfff:ffff:ffff:ffff:ffff |
| 223 | 3c19:c25e:f70d:e000::/52 | 3c19:c25e:f70d:efff:ffff:ffff:ffff:ffff |
| 224 | 3c19:c25e:f70d:f000::/52 | 3c19:c25e:f70d:ffff:ffff:ffff:ffff:ffff |
| 225 | 3c19:c25e:f70e::/52 | 3c19:c25e:f70e:fff:ffff:ffff:ffff:ffff |
| 226 | 3c19:c25e:f70e:1000::/52 | 3c19:c25e:f70e:1fff:ffff:ffff:ffff:ffff |
| 227 | 3c19:c25e:f70e:2000::/52 | 3c19:c25e:f70e:2fff:ffff:ffff:ffff:ffff |
| 228 | 3c19:c25e:f70e:3000::/52 | 3c19:c25e:f70e:3fff:ffff:ffff:ffff:ffff |
| 229 | 3c19:c25e:f70e:4000::/52 | 3c19:c25e:f70e:4fff:ffff:ffff:ffff:ffff |
| 230 | 3c19:c25e:f70e:5000::/52 | 3c19:c25e:f70e:5fff:ffff:ffff:ffff:ffff |
| 231 | 3c19:c25e:f70e:6000::/52 | 3c19:c25e:f70e:6fff:ffff:ffff:ffff:ffff |
| 232 | 3c19:c25e:f70e:7000::/52 | 3c19:c25e:f70e:7fff:ffff:ffff:ffff:ffff |
| 233 | 3c19:c25e:f70e:8000::/52 | 3c19:c25e:f70e:8fff:ffff:ffff:ffff:ffff |
| 234 | 3c19:c25e:f70e:9000::/52 | 3c19:c25e:f70e:9fff:ffff:ffff:ffff:ffff |
| 235 | 3c19:c25e:f70e:a000::/52 | 3c19:c25e:f70e:afff:ffff:ffff:ffff:ffff |
| 236 | 3c19:c25e:f70e:b000::/52 | 3c19:c25e:f70e:bfff:ffff:ffff:ffff:ffff |
| 237 | 3c19:c25e:f70e:c000::/52 | 3c19:c25e:f70e:cfff:ffff:ffff:ffff:ffff |
| 238 | 3c19:c25e:f70e:d000::/52 | 3c19:c25e:f70e:dfff:ffff:ffff:ffff:ffff |
| 239 | 3c19:c25e:f70e:e000::/52 | 3c19:c25e:f70e:efff:ffff:ffff:ffff:ffff |
| 240 | 3c19:c25e:f70e:f000::/52 | 3c19:c25e:f70e:ffff:ffff:ffff:ffff:ffff |
| 241 | 3c19:c25e:f70f::/52 | 3c19:c25e:f70f:fff:ffff:ffff:ffff:ffff |
| 242 | 3c19:c25e:f70f:1000::/52 | 3c19:c25e:f70f:1fff:ffff:ffff:ffff:ffff |
| 243 | 3c19:c25e:f70f:2000::/52 | 3c19:c25e:f70f:2fff:ffff:ffff:ffff:ffff |
| 244 | 3c19:c25e:f70f:3000::/52 | 3c19:c25e:f70f:3fff:ffff:ffff:ffff:ffff |
| 245 | 3c19:c25e:f70f:4000::/52 | 3c19:c25e:f70f:4fff:ffff:ffff:ffff:ffff |
| 246 | 3c19:c25e:f70f:5000::/52 | 3c19:c25e:f70f:5fff:ffff:ffff:ffff:ffff |
| 247 | 3c19:c25e:f70f:6000::/52 | 3c19:c25e:f70f:6fff:ffff:ffff:ffff:ffff |
| 248 | 3c19:c25e:f70f:7000::/52 | 3c19:c25e:f70f:7fff:ffff:ffff:ffff:ffff |
| 249 | 3c19:c25e:f70f:8000::/52 | 3c19:c25e:f70f:8fff:ffff:ffff:ffff:ffff |
| 250 | 3c19:c25e:f70f:9000::/52 | 3c19:c25e:f70f:9fff:ffff:ffff:ffff:ffff |
| 251 | 3c19:c25e:f70f:a000::/52 | 3c19:c25e:f70f:afff:ffff:ffff:ffff:ffff |
| 252 | 3c19:c25e:f70f:b000::/52 | 3c19:c25e:f70f:bfff:ffff:ffff:ffff:ffff |
| 253 | 3c19:c25e:f70f:c000::/52 | 3c19:c25e:f70f:cfff:ffff:ffff:ffff:ffff |
| 254 | 3c19:c25e:f70f:d000::/52 | 3c19:c25e:f70f:dfff:ffff:ffff:ffff:ffff |
| 255 | 3c19:c25e:f70f:e000::/52 | 3c19:c25e:f70f:efff:ffff:ffff:ffff:ffff |
| 256 | 3c19:c25e:f70f:f000::/52 | 3c19:c25e:f70f:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |